CVE-ID

CVE-2004-0224

• Severity Rating • Fix Information • Vulnerable Software Versions • SCAP Mappings
Description
Multiple buffer overflows in (1) iso2022jp.c or (2) shiftjis.c for Courier-IMAP before 3.0.0, Courier before 0.45, and SqWebMail before 4.0.0 may allow remote attackers to execute arbitrary code "when Unicode character is out of BMP range."
References
Note: References are provided for the convenience of the reader to help distinguish between vulnerabilities. The list is not intended to be complete.
Date Entry Created
20040315 Disclaimer: The entry creation date may reflect when the CVE-ID was allocated or reserved, and does not necessarily indicate when this vulnerability was discovered, shared with the affected vendor, publicly disclosed, or updated in CVE.
Phase (Legacy)
Modified (20050719)
Votes (Legacy)
ACCEPT(4) Armstrong, Baker, Cole, Cox
MODIFY(1) Frech
NOOP(3) Christey, Green, Wall
Comments (Legacy)
 Frech> XF:courier-codeset-converter-bo(15434)
   http://xforce.iss.net/xforce/xfdb/15434
 Christey> BUGTRAQ:20040329 [ GLSA 200403-06 ] Multiple remote buffer overflow vulnerabilities in Courier
   URL:http://marc.theaimsgroup.com/?l=bugtraq&m=108058112903373&w=2
 Christey> BUGTRAQ:20040329 [ GLSA 200403-06 ] Multiple remote buffer overflow vulnerabilities in Courier
   URL:http://marc.theaimsgroup.com/?l=bugtraq&m=108058112903373&w=2
 Christey> MISC:http://www.debian.org/security/nonvulns-woody#CVE-2004-0075
 CHANGE> [Cox changed vote from REVIEWING to ACCEPT]

Proposed (Legacy)
20040318
This is an entry on the CVE list, which standardizes names for security problems.